package com.glxp.mipsdl.client.scpwxyy.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 库存出入库明细
 */
@NoArgsConstructor
@Data
public class InvResultEntity {

    @JsonProperty("applyNo")
    private String applyNo;
    @JsonProperty("ioFlag")
    private String ioFlag;
    @JsonProperty("ioType")
    private String ioType;
    @JsonProperty("ioTypeName")
    private String ioTypeName;
    @JsonProperty("Debit")
    private String debit;
    @JsonProperty("DebitName")
    private String debitName;
    @JsonProperty("Credit")
    private String credit;
    @JsonProperty("CreditName")
    private String creditName;
    @JsonProperty("AccoutDate")
    private String accoutDate;
    @JsonProperty("Accoutant")
    private String accoutant;
    @JsonProperty("receiveOper")
    private String receiveOper;
    @JsonProperty("materialCode")
    private String materialCode;
    @JsonProperty("materialName")
    private String materialName;
    @JsonProperty("materialSpec")
    private String materialSpec;
    @JsonProperty("materialUnit")
    private String materialUnit;
    @JsonProperty("batchNo")
    private String batchNo;
    @JsonProperty("invoiceNo")
    private String invoiceNo;
    @JsonProperty("invoiceDate")
    private String invoiceDate;
    @JsonProperty("quantity")
    private Integer quantity;
    @JsonProperty("importPrc")
    private Double importPrc;
    @JsonProperty("importMoney")
    private Integer importMoney;
    @JsonProperty("factoryCode")
    private String factoryCode;
    @JsonProperty("factoryName")
    private String factoryName;
}
