package com.glxp.mipsdl.dao.thrsys;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.mipsdl.entity.thrsys.ThrSystemDetailEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ThrSystemDetailDao extends BaseMapper<ThrSystemDetailEntity> {

    /**
     * 查询医院配置的指定接口的地址信息
     *
     * @param key      接口名称
     * @param hospCode 医院编码
     * @return
     */
    ThrSystemDetailEntity selectByKey(@Param("key") String key, @Param("hospCode") String hospCode);
}
