package com.glxp.mipsdl.entity.basic;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

@Data
@TableName(value = "rel_code_detail")
public class RelCodeDetail implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    /**
     * 当前条码
     */
    @TableField(value = "curCode")
    private String curCode;

    /**
     * 包装级别
     */
    @TableField(value = "packLayer")
    private Byte packLayer;

    /**
     * 父级码
     */
    @TableField(value = "parentCode")
    private String parentCode;

    /**
     * 状态
     */
    @TableField(value = "flag")
    private Byte flag;

    /**
     * 产品批次ID外键
     */
    @TableField(value = "batchIdFk")
    private Integer batchIdFk;

    private static final long serialVersionUID = 1L;
}