package com.glxp.mipsdl.entity.ctqyy;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 处方用药信息表
 *
 * @TableName basic_sk_prescribe_item
 */
@TableName(value = "basic_sk_prescribe_item")
@Data
public class BasicSkPrescribeItemEntity implements Serializable {
    /**
     *
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 第三方id
     */
    @TableField(value = "thrId")
    private String thrId;

    /**
     * 患者编码
     */
    @TableField(value = "sickerCode")
    private String sickerCode;

    /**
     * 处方编码
     */
    @TableField(value = "prescribeCode")
    private String prescribeCode;

    /**
     * 耗材产品id
     */
    @TableField(value = "relId")
    private Long relId;

    /**
     * 名称
     */
    @TableField(value = "itemName")
    private String itemName;

    /**
     * 编码
     */
    @TableField(value = "itemCode")
    private String itemCode;

    /**
     * 计量数量
     */
    @TableField(value = "measureCount")
    private String measureCount;

    /**
     * 计量单位
     */
    @TableField(value = "measureUnit")
    private String measureUnit;

    /**
     * 类别
     */
    @TableField(value = "category")
    private String category;

    /**
     * 频率
     */
    @TableField(value = "frequency")
    private String frequency;

    /**
     * 数量
     */
    @TableField(value = "count")
    private String count;

    /**
     * 单价
     */
    @TableField(value = "price")
    private BigDecimal price;

    /**
     * 总价
     */
    @TableField(value = "amount")
    private BigDecimal amount;

    /**
     * 规格型号
     */
    @TableField(value = "ggxh")
    private String ggxh;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
