package com.glxp.mipsdl.entity.ctqyy;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import lombok.Data;

@Data
@TableName(value = "v_ypzs_io_info")
public class VYpzsIoInfo implements Serializable {
    @TableField(value = "RECEIPT_NUMBER")
    private String RECEIPT_NUMBER;

    @TableField(value = "IO_FLAG")
    private String IO_FLAG;

    @TableField(value = "IO_SORT")
    private Integer IO_SORT;

    @TableField(value = "SORT_NAME")
    private String SORT_NAME;

    @TableField(value = "CONSIGNOR")
    private String CONSIGNOR;

    @TableField(value = "CONSIGNOR_NAME")
    private String CONSIGNOR_NAME;

    @TableField(value = "CONSIGNEE")
    private String CONSIGNEE;

    @TableField(value = "CONSIGNEE_NAME")
    private String CONSIGNEE_NAME;

    @TableField(value = "KEEP_BOOK_TIME")
    private Date KEEP_BOOK_TIME;

    @TableField(value = "KEEP_BOOK_OPERATOR")
    private String KEEP_BOOK_OPERATOR;

    @TableField(value = "PHYSIC_CODE")
    private String PHYSIC_CODE;

    @TableField(value = "PHYSIC_NAME")
    private String PHYSIC_NAME;

    @TableField(value = "BATCH_NO")
    private String BATCH_NO;

    @TableField(value = "BATCH_NUMBER")
    private Long BATCH_NUMBER;

    @TableField(value = "QUANTITY")
    private Integer QUANTITY;

    @TableField(value = "PACK_UNIT1")
    private String PACK_UNIT1;

    @TableField(value = "IMPORT_PRICE")
    private BigDecimal IMPORT_PRICE;

    @TableField(value = "IMPORT_MONEY")
    private BigDecimal IMPORT_MONEY;

    @TableField(value = "RETAIL_PRICE")
    private BigDecimal RETAIL_PRICE;

    @TableField(value = "RETAIL_MONEY")
    private BigDecimal RETAIL_MONEY;

    @TableField(value = "PACK_SPEC")
    private String PACK_SPEC;

    @TableField(value = "PHYSIC_UNIT")
    private String PHYSIC_UNIT;

    @TableField(value = "COUNTRY_CODE")
    private String COUNTRY_CODE;

    @TableField(value = "FIXMEDINS_BCHNO")
    private String FIXMEDINS_BCHNO;
    @TableField(value = "RX_FLAG")
    private String RX_FLAG;
    @TableField(value = "INV_CHG_TYPE")
    private String INV_CHG_TYPE;


    private static final long serialVersionUID = 1L;
}