package com.glxp.mipsdl.entity.inout;

import lombok.Data;

import java.util.Date;

@Data
public class CollectOrderBizResponse {


    private Long id;
    /**
     * 单据号外键
     */
    private String orderIdFk;


    /**
     * 院内编码（第三方编码）
     */
    private String thrCode;

    /**
     * 医保编码
     */
    private String ybbm;

    /**
     * 收费编码
     */
    private String payFeeCode;

    /**
     * 产品通用名称
     */
    private String cpmctymc;

    /**
     * 产品标识
     */
    private String nameCode;

    /**
     * 规格型号
     */
    private String ggxh;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 生产日期
     */
    private String productDate;

    /**
     * 失效日期
     */
    private String expireDate;

    /**
     * 单据数量
     */
    private Integer count;

    /**
     * 实际数量
     */
    private Integer actCount;

    /**
     * 扫码数量
     */
    private Integer scanCount;

    /**
     * 扫码实际数量
     */
    private Integer scanActCount;

    /**
     * 计量单位
     */
    private String measureUnit;

    /**
     * 单据明细赋码状态  1:未赋码；2：部分赋码；3：已赋码
     */
    private Integer tagStatus;

    /**
     * 赋码错误信息
     */
    private String tagMsg;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 绑定的UDI码
     */
    private String udiCode;
    private Long relId;
    private Integer unTagCount;


    private String scanUdiCode;
    private String splitUdiCode;
    private String unSplitUdiCode;
    private String finishUdiCode;
    private String bzgg;


    private Integer autoResCount;
    private String replaceCode;
}
