package com.glxp.mipsdl.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
    * 参数设置表
    */
@Data
@TableName(value = "sys_param_config")
public class SysParamConfigEntity implements Serializable {
    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    /**
     * 父ID
     */
    @TableField(value = "parentId")
    private Integer parentId;

    /**
     * 参数名
     */
    @TableField(value = "paramName")
    private String paramName;

    /**
     * 参数键
     */
    @TableField(value = "paramKey")
    private String paramKey;

    /**
     * 参数值
     */
    @TableField(value = "paramValue")
    private String paramValue;

    /**
     * 参数状态 0：通用，不过滤，1：erp参数
     */
    @TableField(value = "paramStatus")
    private Integer paramStatus;

    /**
     * 参数类型
     */
    @TableField(value = "paramType")
    private Integer paramType;

    /**
     * 参数说明
     */
    @TableField(value = "paramExplain")
    private String paramExplain;

    @TableField(value = "updateTime")
    private Date updateTime;

    private static final long serialVersionUID = 1L;
}
