package com.glxp.mipsdl.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName(value = "sys_scheduled")
public class SysScheduledEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 任务名称
     */
    @TableField(value = "cronName")
    private String cronName;

    /**
     * 定时任务
     */
    @TableField(value = "cron")
    private String cron;

    @TableField(value = "customerId")
    private String customerId;

    @TableField(value = "remark")
    private String remark;

}