package com.glxp.mipsdl.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

@Data
@TableName(value = "thr_yb_setup")
public class ThrYbSetup implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "url")
    private String url;

    @TableField(value = "appId")
    private String appId;

    @TableField(value = "appSecret")
    private String appSecret;

    @TableField(value = "signKey")
    private String signKey;

    @TableField(value = "encKey")
    private String encKey;
    /**
     * 就医地医保区划
     */
    @TableField(value = "mdtrtarea_admvs")
    private String mdtrtarea_admvs;

    /**
     * 参保地医保区划
     */
    @TableField(value = "insuplc_admdvs")
    private String insuplc_admdvs;

    /**
     * 操作人
     */
    @TableField(value = "opter")
    private String opter;

    /**
     * 操作时间
     */
    @TableField(value = "opter_name")
    private String opter_name;

    /**
     * 定点医药机构编号
     */
    @TableField(value = "fixmedins_code")
    private String fixmedins_code;

    /**
     * 定点医药机构名称
     */
    @TableField(value = "fixmedins_name")
    private String fixmedins_name;

    /**
     * 接口版本号
     */
    @TableField(value = "infver")
    private String infver;

    /**
     * 接收方系统代码
     */
    @TableField(value = "recer_sys_code")
    private String recer_sys_code;
    /**
     * 经办人类别
     */
    @TableField(value = "opter_type")
    private String opter_type;
    @TableField(value = "sequenceNum")
    private String sequenceNum;
    @TableField(value = "opter_no")
    private String opter_no;
    @TableField(value = "mac")
    private String mac;
    @TableField(value = "ip")
    private String ip;

    @TableField(value = "signNo")
    private String signNo;

    @TableField(value = "signData")
    private String signData;
    private static final long serialVersionUID = 1L;
}
