package com.glxp.mipsdl.entity.thrsys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName(value = "thr_system_bus_api")
public class ThrSystemBusApiEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField(value = "code")
    private String code;

    @TableField(value = "`name`")
    private String name;

    /**
     * 第三方系统单据类型代码
     */
    @TableField(value = "thirdBuyCode")
    private String thirdBuyCode;

    @TableField(value = "thirdSys")
    private String thirdSys;

    @TableField(value = "url")
    private String url;

    @TableField(value = "`type`")
    private Integer type;

    @TableField(value = "remark")
    private String remark;

    /**
     * 扩展字段，暂未启用
     */
    @TableField(value = "filed")
    private String filed;

    @TableField(value = "filed1")
    private String filed1;

    @TableField(value = "filed2")
    private String filed2;

    @TableField(value = "filed3")
    private String filed3;

    @TableField(value = "filed4")
    private String filed4;


    @TableField(exist = false)
    private Integer inoutType;
    @TableField(exist = false)
    private String thirdBuyName; //第三方系统单据类型名称


}