package com.glxp.mipsdl.req.base;

import lombok.Data;

import java.util.List;

@Data
public class CompanyProductRelevanceRequest extends ListPageRequest {
    private String ylqxzcrbarmc;
    private String cpmctymc;
    private String nameCode;
    private String uuid;
    private String originUuid;
    private String ggxh;
    private String thirdId;
    private String id;

    private String thirdId1;
    private String thirdId2;
    private String thirdId3;
    private String thirdId4;
    private Boolean isDisable;

    private String thirdCode;
    private String thirdSys;
    private String mainId;

    private String lastUpdateTime;
    private String zczbhhzbapzbh;
    private Integer diType;


    private String unionCode;
    private String udiCode;
    private String thrPiId;


    private Boolean isCheck;

    private Integer filterType;         //0:全部，1.对照完成，2.未对照DI，3.未对照产品编码，4.未对照其他产品编码
    private String customerId;

    private String pinyinInitial;
    private String code;

    private String auditStatus;
    private String companyName;
    private Integer lockStatus;
    private Boolean isAdavence;
    private String unitFk;

    /**
     * 采购类型  1:入账产品；2：预验收产品；3：寄售产品
     */
    private Integer purType;
    /**
     * 产品属性类型  0:未定义；1：设备（用于设备管理)；2：耗材；3.伴随服务费
     */
    private Integer attributeType;
    private String corpId;
    private String billType;
    private String manufactory;
    private String flbm;
    private List<String> uuids;

    private String basicPrductRemak1;
    private String basicPrductRemak2;
    private String basicPrductRemak3;
    private String basicPrductRemak4;
    private String basicPrductRemak5;
    private String basicPrductRemak6;
    private String basicPrductRemak7;
    private String basicPrductRemak8;
    private String category;
}
