package com.glxp.mipsdl.req.base;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class FilterUdiRelRequest extends ListPageRequest {

    private String ylqxzcrbarmc;
    private String cpmctymc;
    private String entireCpmctymc;
    private String nameCode;
    private String uuid;
    private String originUuid;
    private String ggxh;
    private String thirdId;
    private Long id;

    private String thirdId1;
    private String thirdId2;
    private String thirdId3;
    private String thirdId4;
    private Boolean isDisable;

    private String thirdCode;
    private String thirdSys;

    private String lastUpdateTime;
    private String zczbhhzbapzbh;
    private String packLevel;
    private Integer diType;


    private String unionCode;
    private String udiCode;
    private String thrPiId;


    private Boolean isCheck;

    private Integer filterType;         //0:全部，1.对照完成，2.未对照DI，3.未对照产品编码，4.未对照其他产品编码
    private String customerId;

    private String pinyinInitial;
    private String code;

    private Integer lockStatus;
    private String udplatCode;
    private String mainId;
    private Boolean isAdavence;
    /**
     * 采购类型  1:入账产品；2：预验收产品；3：寄售产品
     */
    private Integer purType;
    /**
     * 产品属性类型  0:未定义；1：设备（用于设备管理)；2：耗材；3.伴随服务费
     */
    private Integer attributeType;
    /**
     * 耗材分类高值 ：1：高值耗材；2.普通耗材
     */
    private Integer hcType;
    private String corpId;
    private String billType;

    private String ybbm;
    private String sptm;
    private String unionFilterStr;//产品名称，规格，批文，生产厂家联合查询
    private String main;

    List<String> relIds;
    private String uniqueNameCode;
    private String supName;
    private String unitFk;
    private String relId;
    private String companyName;

    private String bindRlIds;
    private String relCode;
    private String bindType;
    private String certIdFk;
    private String manufactory;
    private String tyshxydm;
    private Boolean dispatch;
    private Boolean groupBuy;
    private String category;

    private List<String> uuids;
    private List<Long> ids;
    private String flbm;
    private String parentCode;
    private List<Long> existid;

    private String basicPrductRemak1;
    private String basicPrductRemak2;
    private String basicPrductRemak3;
    private String basicPrductRemak4;
    private String basicPrductRemak5;
    private String basicPrductRemak6;
    private String basicPrductRemak7;
    private String basicPrductRemak8;

    //定数包参数
    private String destinyId;
    private String destinyNo;
    private String billNo;
    private Date billDate;
    private String invCode;
    private String remark;
    private String key;

    private String deviceRecordKey;


}
