package com.glxp.mipsdl.req.base;

import lombok.Data;

import java.util.List;

/**
 * 生产企业
 */
@Data
public class UdiwmsManuRequest extends ListPageRequest {


    /**
     * 关键字查询，匹配生产企业编码，往来单位名称，往来单位简称，支持模糊查询
     */
    private String key;

    /**
     * 生产企业编码
     */
    private String unitId;

    /**
     * 生产企业名称
     */
    private String name;

    /**
     * 最后更新时间
     */
    private String lastUpdateTime;

    /**
     * 企业类型   1 厂家 2供应商
     */
    private String unitType;

}
