package com.glxp.mipsdl.req.base;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class UdiwmsPreInOrderRequest {


    private String billNo;
    private String billdate;
    private String corpId;
    private String corpName;
    private String locInvCode;
    private String locInvName;
    private String deptCode;
    private String actor;
    private String thirdSys;
    private String remark;
    private List<ItemDTO> items;

    @Data
    public static class ItemDTO {
        private String code;
        private String productId;
        private String productName;
        private String standard;
        private String expireDate;
        private String productDate;
        private String batchNo;
        private Integer count;
        private String measname;
        private String registerNo;
        private BigDecimal price;
        private String secSalesInvNo;
        private String invoiceDate;
        private String secSalesListNo;
        private String firstSalesInvNo;
        private String remark;
        private String nameCode;
        private String manufactory;
        private String manufactoryCode;
    }
}
