package com.glxp.mipsdl.req.dsxyy;

import com.glxp.mipsdl.req.base.UdiwmsOrderDetailRequest;
import com.glxp.mipsdl.req.base.UdiwmsOrderRequest;
import lombok.Data;

import java.util.List;

/**
 * 东山县医院提交单据接口参数
 */
@Data
public class DsOrderRequest extends UdiwmsOrderRequest {

    /**
     * 仓库编码
     */
    private String locStorageCode;

    /**
     * 仓库名称
     */
    private String locStorageName;

    /**
     * 单据详情数组
     */
    private List<UdiwmsOrderDetailRequest> items;

}
