package com.glxp.mipsdl.res.udiwms;

import com.glxp.mipsdl.entity.ctqyy.BasicSkPrescribeItemEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class BasicSkPrescribeResponse {

    /**
     * 处方编码
     */
    private String code;

    /**
     * 病人编码
     */
    private String sickCode;

    /**
     * 开方时间
     */
    private LocalDateTime prescribeDate;

    /**
     * 开方医生
     */
    private String createDr;
    /**
     * 处方费用
     */
    private BigDecimal amount;

    /**
     * 就诊科室编码
     */
    private String deptCode;

    /**
     * 就诊科室名称
     */
    private String deptName;

    /**
     * 诊断内容
     */
    private String diagnosis;

    private String remark;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUser;
    private String addr;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 流水号
     */
    private String stooutNo;

    private List<BasicSkPrescribeItemEntity> itemList;


}
