package com.glxp.mipsdl.res.udiwms;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 库存数据VO
 */
@Data
public class InvProductResponse {

    private Integer id;

    /**
     * 产品标识DI
     */
    private String nameCode;

    /**
     * 产品名称
     */
    private String cpmctymc;

    /**
     * 耗材字典ID
     */
    private String relIdFk;

    /**
     * 规格型号
     */
    private String ggxh;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 生产日期
     */
    private String productionDate;
    private String produceDate;
    /**
     * 过期时间
     */
    private String expireDate;

    /**
     * 生产厂家名称
     */
    private String ylqxzcrbarmc;

    /**
     * 批准文号
     */
    private String zczbhhzbapzbh;

    /**
     * 入库数量
     */
    private int inCount;

    /**
     * 出库数量
     */
    private int outCount;

    /**
     * 实际数量
     */
    private int reCount;

    /**
     * 客户ID
     */
    private String customerId;

    /**
     * 供应商名称
     */
    private String supName;

    /**
     * 供应商ID
     */
    private String supId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 仓库名称
     */
    private String invName;

    //    货位名称
    private String spaceName;

    /**
     * 部门编码
     */
    private String deptCode;

    /**
     * 仓库编码
     */
    private String invCode;

    //    货位编号
    private String invSpaceCode;

    private String code;

    private String serialNo;

    private String manufactoryl;


    /**
     * 计量单位
     */
    private String measname;

    private BigDecimal price;

    private String thrCode;

}
