package com.glxp.mipsdl.res.udiwms;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class UdiwmsProductInfoResponse {

    /**
     * 产品编码
     */
    private String code;

    /**
     * 通用名称
     */
    private String name;

    /**
     * 计量单位
     */
    private String measname;

    /**
     * 规格型号
     */
    private String spec;

    /**
     * 注册证号
     */
    private String registerNo;

    /**
     * 生产厂家
     */
    private String manufactory;

    /**
     * 配送企业
     */
    private String supName;

    /**
     * 更新时间
     */
    private Date updateTime;


    private boolean isChecked;

    /**
     * 产品类别
     */
    private String cplb;

    /**
     * 分类编码
     */
    private String flbm;

    //器械类别
    private String qxlb;

    //医保编码
    private String ybbm;

    //商品条码
    private String sptm;

    //注册人社会信用号
    private String tyshxydm;

    //注册证 备案证号
    private String zczbhhzbapzbh;

    //注册/备案人
    private String ylqxzcrbarmc;

    //注册/备案人英文
    private String ylqxzcrbarywmc;

    //产品描述
    private String cpms;

    //型号
    private String model;

    //型号
    private String standard;

    //商品名称
    private String spmc;

    //其他编码
    private String qtbm;

    //注册证有效期至
    private String zczyxqz;

    //备注
    private String remark;
    //备注1
    private String remark1;
    //备注2
    private String remark2;
    //备注3
    private String remark3;

    //阳光采购平台 耗材目录规格id
    private String productSpecId;

    /**
     * 物资编码
     */
    private String hospHisCode;

    /**
     * 价格
     */
    private String price;

    /**
     * 生产厂家编码
     */
    private String manufactoryCode;

    /**
     * 配送企业编码
     */
    private String supCode;

    /**
     * DI物资标识
     */
    private String diCode;

    /**
     * 物价类别
     */
    private String priceCategory;

}
