package com.glxp.mipsdl.constant;

/**
 * 类型常量
 */
public interface ConstantType {

    //单据状态

    /**
     * 出库
     */
    String TYPE_PUT = "WareHouseIn";

    /**
     * 入库
     */
    String TYPE_OUT = "WareHouseOut";


    //日志相关常量
    /**
     * 日志类型 - 接口
     */
    String LOG_TYPE_INTERFACE = "interface";

    /**
     * 日志类型 - 请求第三方系统
     */
    String LOG_TYPE_THIRD = "third";

    /**
     * 日志处理状态 - 异常
     */
    int LOG_STATUS_ERROR = 0;

    /**
     * 日志处理状态 - 成功
     */
    int LOG_STATUS_SUCCESS = 1;

}
