package com.glxp.mipsdl.dao.thrsys;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.mipsdl.entity.thrsys.ThrBustypeOriginEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ThrBustypeOriginDao extends BaseMapper<ThrBustypeOriginEntity> {

    /**
     * 查询单据类型对应的第三方单据类型
     *
     * @param billType 本地单据类型
     * @param hospCode 医院编码
     * @return
     */
    String findThirdActionByBillType(@Param("billType") String billType, @Param("hospCode") String hospCode);
}
