package com.glxp.mipsdl.entity.auth;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;

/**
 * 仓库字典-用户关联表
 */
@Data
@TableName(value = "auth_warehouse_user")
public class AuthWarehouseUser {
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 仓位码
     */
    @TableField(value = "code")
    private String code;

    /**
     * 用户id
     */
    @TableField(value = "userId")
    private Long userId;

    /**
     * 用户名/登录账号
     */
    @TableField(value = "userName")
    private String userName;

    @TableField(value = "isDirector")
    private Byte isDirector;

    @TableField(value = "updateTime")
    private Date updateTime;
}