package com.glxp.mipsdl.entity.basic;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 定数包产品关联表
 */
@Data
@TableName(value = "basic_sk_project_detail")
public class BasicSkProjectDetailEntity {
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 耗材产品id
     */
    @TableField(value = "relId")
    private Long relId;

    /**
     * 供应商ID
     */
    @TableField(value = "supId")
    private Long supId;


    /**
     * 定数包模板id
     */
    @TableField(value = "pId")
    private Long pId;

    /**
     * 数量
     */
    @TableField(value = "`count`")
    private Integer count;

    @TableField(value = "`thrName`")
    private String thrName;
    @TableField(value = "`thrCode`")
    private String thrCode;
    @TableField(value = "`measureCount`")
    private String measureCount;
    @TableField(value = "`measureUnit`")
    private String measureUnit;
    @TableField(value = "`category`")
    private String category;
    @TableField(value = "`frequency`")
    private String frequency;
    @TableField(value = "`price`")
    private String price;
    @TableField(value = "`ggxh`")
    private String ggxh;
    @TableField(value = "`remark`")
    private String remark;
    @TableField(value = "`createTime`")
    private String createTime;
    @TableField(value = "`createUser`")
    private String createUser;
    @TableField(value = "`updateTime`")
    private String updateTime;
    @TableField(value = "`updateUser`")
    private String updateUser;

}
