package com.glxp.mipsdl.entity.thrsys;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName(value = "thr_order_detail")
public class ThrOrderDetailEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Integer id;

    /**
     *
     */
    private String productId;

    /**
     *
     */
    private String productName;

    /**
     *
     */
    private String spec;

    /**
     *
     */
    private String batchNo;

    /**
     *
     */
    private String expireDate;

    /**
     *
     */
    private String productDate;

    /**
     *
     */
    private String count;

    /**
     *
     */
    private String reCount;

    /**
     *
     */
    private String orderIdFk;

    /**
     *
     */
    private String thirdSysFk;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 往来单位
     */
    private String corpName;

    /**
     * 医疗器械注册人
     */
    private String ylqxzcrbarmc;

    /**
     * 注册证号
     */
    private String zczbhhzbapzbh;

    /**
     * 生产企业
     */
    private String manufactory;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUser;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     *
     */
    private String supId;

    /**
     *
     */
    private String supName;
}

