package com.glxp.mipsdl.req.base;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class UdiwmsBasicSkPrescribeRequest extends ListPageRequest {
    /**
     *
     */
    private Integer id;

    /**
     * 处方编码
     */
    private String code;

    /**
     * 病人编码
     */
    private String sickerCode;

    /**
     * 开方时间
     */
    private Date prescribeDate;

    /**
     * 开方医生
     */
    private String createDr;

    /**
     * 处方费用
     */
    private BigDecimal amount;

    /**
     * 就诊科室编码
     */
    private String deptCode;

    /**
     * 就诊科室名称
     */
    private String deptName;

    /**
     * 诊断内容
     */
    private String diagnosis;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUser;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     *
     */
    private String adNum;

    /**
     * 就诊卡号
     */
    private String clinicNumber;

    /**
     * 处方赋码状态  1:未赋码；2：赋码中；3：已赋码
     */
    private Integer tagStatus;

    /**
     * 处方下载转换状态  1:未转换；2：部分转换；3：已转换
     */
    private Integer trDiStatus;

    /**
     * 处方赋码错误信息
     */
    private String tagMsg;

    /**
     * 工位
     */
    private Long workPlaceCode;

    /**
     *
     */
    private String addr;

    private String stooutNo;

    /**
     * 来源业务
     */
    private String fromType;

    /**
     * 0:处方出库；1：处方退货
     */
    private Integer inOutType;

    private String startTime;
    private String endTime;
    private String fromCorpName;
    private String shipperName;
    private String key;
    private String busType;
    private String keyWords;


    private String databaseProductName;

    private String IN_HOSP;
}

