package com.glxp.mipsdl.req.base;

import lombok.Data;

import java.util.List;

@Data
public class UdiwmsOrderRequest {

    /**
     * 单据号
     */
    private String billNo;

    /**
     * 单据日期
     */
    private String billDate;

    /**
     * 往来单位ID
     */
    private String corpId;

    /**
     * 单据状态,0.未签字，1.已签字
     */
    private String billFlag;

    /**
     * 出入库类型：1:入库，2:出库
     */
    private Integer inoutType;

    /**
     * 单据类型/业务类型
     */
    private String billType;

    /**
     * 往来单位
     */
    private String corpName;

    /**
     * 仓库编码
     */
    private String locInvCode;

    /**
     * 仓库名称
     */
    private String locInvName;

    /**
     * 备注
     */
    private String remark;
    /**
     * 操作人
     */
    private String operUser;    //
    /**
     * 单据详情数组
     */
    private List<UdiwmsOrderDetailRequest> item;
    /**
     * 单据详情数组
     */
    private List<UdiwmsOrderDetailRequest> items;

}
