package com.glxp.mipsdl.req.base;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * 产品库存信息查询接口参数，此接口参数用于提供给第三方系统查询UDI系统产品库存信息
 */
@Data
public class UdiwmsQueryUdiInvProductsRequest extends ListPageRequest {

    /**
     * DI产品标识
     */
    @JsonProperty("diCode")
    private String diCode;

    /**
     * 产品名称
     */
    @JsonProperty("productName")
    private String productName;

    /**
     * 批次号
     */
    @JsonProperty("batchNo")
    private String batchNo;

    /**
     * 配送商名称
     */
    @JsonProperty("supName")
    private String supName;

}
