package com.glxp.mipsdl.req.base.forthird;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.glxp.mipsdl.req.base.ListPageRequest;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

@Data
public class ForBasicProductsSearchFilter{

    /**
     * UDI码
     */
    private String udiCode;

    /**
     * 第三方产品编码
     */
    private String mainId;

    /**
     * DI主标识
     */
    private String nameCode;

    /**
     * 产品名称通用名称
     */
    private String cpmctymc;

    /**
     * 规格型号
     */
    private String ggxh;

    /**
     * 页码
     */
    @Min(message = "分页参数错误", value = 1)
    private Integer page;

    /**
     * 条数
     */
    @Min(value = 1, message = "分页参数不能小于1")
    @Max(value = 500, message = "分页参数不能大于500")
    private Integer limit;
}
