package com.glxp.mipsdl.req.ptxhyy;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 平潭协和医院
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PtxhyyOrderDetailRequest {

    /**
     * 单据序号
     */
//    private String djxh;

    /**
     * 物资序号
     */
    private String wzxh;

    /**
     * 厂家序号
     */
    private String cjxh;

    /**
     * 标准数量单位
     */
    private String bzdw;

    /**
     * 标准数量
     */
    private Integer bzsl;

    /**
     * 单价
     */
    private BigDecimal wzjg;

    private String wzje;

    /**
     * 零售金额
     */
    private BigDecimal lsje;
    private String lsjg;

    /**
     * 单据日期
     */
    private String djrq;

    /**
     * UDI追溯码
     */
    private String udim;

    /**
     * 核算分类
     */
    private String hsfl;

    /**
     * 物资批号
     */
    private String wzph;

    /**
     * 发票号码
     */
    private String fphm;

    /**
     * 发票日期
     */
    private String fprq;

    private String mjph;
    private String producedDate;

    private String expireDate;
    private String registerNo;

}
