package com.glxp.mipsdl.req.ucloud;

import lombok.Data;

@Data
public class UInvmandocRequest {


    /**
     * invbarcode :
     * issecondarybarcode :
     * unitcode : 1110
     * invclcode :
     * invname :
     * startTs :
     * invmnecode :
     * dr :
     * invcode :
     * invshortname :
     * isprimarybarcode :
     * endTs :
     * forinvname :
     * page_now : 1
     * page_size : 10
     */

    private String invbarcode;  //存货条形码
    private String issecondarybarcode;  //是否次条码管理
    private String unitcode;        //	公司编码
    private String invclcode;   //存货分类编码
    private String invname;        //存货名称
    private String startTs;         //开始时间
    private String invmnecode;  //存货助记码
    private String dr;              //删除标志
    private String invcode;     //存货编码
    private String invshortname;    //存货简称
    private String isprimarybarcode;    //是否主条码管理
    private String endTs;       //结束时间
    private String forinvname;  //外文名称
    private String page_now;
    private String page_size;


    public UInvmandocRequest(Integer page, Integer limit) {
        this.page_now = String.valueOf(page);
        this.page_size = String.valueOf(limit);
    }
}
