package com.glxp.mipsdl.req.ucloud;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class UOnhandQueryRequest {

    private String hsl;                 //	换算率
    private String isGroupByFreeItem;   //按自由项展开
    private String isGroupByInv;        //按存货展开
    private String castunit;            //辅单位
    private String corp;                //公司
    private String isGroupByCastunit;   //	按辅计量展开
    private String batchcode;           //批次号
    @NotNull(message = "存货编码不能为空")
    private String inventory;           //存货
    private List<String> inventorys;
    private String isGroupByCalbody;    //	按库存组织展开
    private String warehouse;           //仓库
    private String space;               //货位
    private String isGroupByHsl;        //按换算率展开
    private String isGroupBySpace;      //按货位展开
    private String isGroupByVendor;     //	按供应商展开
    private String vendor;              //	供应商
    private String isGroupByWarehouse;  //按仓库展开
    private String pagesize;
    private String isGroupByBatchcode;  //	按批次号展开
    private String numcondition;        //只查询数量大于0传>，只查询数量小于0传<，只查询数量等于0传=，只查询数量不等于0传<>，其他符号不识别，u8c3.1版本
    private String pagenow;
    private String calbody;                //	库存组织
    private String page_size;
    private String page_now;
}
