package com.glxp.mipsdl.res.udiwms;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ThrInvResultResponse {


    private Integer id;

    /**
     * 产品通用名称
     */
    private String cpmctymc;


    /**
     * 第三方项目编码/耗材字典
     */
    private String thrCode;

    /**
     * DI
     */
    private String nameCode;

    /**
     * 规格型号
     */
    private String ggxh;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 计量单位
     */
    private String measname;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 生产日期
     */
    private String productionDate;

    /**
     * 失效日期
     */
    private String expireDate;

    /**
     * 医疗器械注册备案人
     */
    private String ylqxzcrbarmc;

    /**
     * 注册/备案号
     */
    private String zczbhhzbapzbh;

    /**
     * 入库数量
     */
    private String inCount;

    /**
     * 出库数量
     */
    private String outCount;

    /**
     * 供应商
     */
    private String supName;

    /**
     * 部门
     */
    private String deptName;

    /**
     * 部门编码
     */
    private String deptCode;

    /**
     * 仓库
     */
    private String invName;

    /**
     * 仓库编码
     */
    private String invCode;

    /**
     * 货位
     */
    private String spaceCode;

    /**
     * 货位编码
     */
    private String spaceName;


    /**
     * 出入库类型
     */
    private String mainAction;

    /**
     * 生产企业
     */
    private String manufacturer;
    /**
     * 生产企业编码
     */
    private String manufactoryCode;

    /**
     * 备注
     */
    private String remark;

    /**
     * 第三方单据类型
     */
    private String billType;

    /**
     * 实际数量
     */
    private String reCount;

    public int getCount() {
        return Integer.valueOf(reCount);
    }

    /**
     * 数据类型：住院、门诊等
     */
    private String type;

    /**
     * 总金额
     */
    private BigDecimal amount;

    /**
     * UDI码
     */
    private String udiCode;

    /**
     * 患者编码
     */
    private String sickerCode;

    /**
     * 患者名称
     */
    private String sickerName;

    /**
     * 收费时间
     */
    private String chargeTime;

    /**
     * 收费人员
     */
    private String chargeUser;


}
