package com.glxp.mipsdl.res.udiwms;

import lombok.Data;

import java.util.Date;

@Data
public class ThrProductsResponse {

    private Long id;
    private String code;    //产品编码
    private String name;
    private String measname;    //计量单位
    private String spec;        //规格型号
    private String registerNo;  //注册证号
    private String thirdSysFk;
    private String manufactory; //生产厂家
    private String cplb;
    private String flbm;
    private String qxlb;
    private String ybbm;
    private String sptm;
    private String tyshxydm;
    private String zczbhhzbapzbh;
    private String ylqxzcrbarmc;
    private String ylqxzcrbarywmc;
    private String cpms;
    private String supName; //配送企业
    private String thirdSysName;


    //辅助字段
    private boolean isChecked;
    private String thirdSys;

    //添加字段
    private String model; //型号
    private String standard; //规格型号，二合一字段
    private String qtbm; //其他编码
    private String zczyxqz; //注册有效期截止时间
    private String price;
    private String remark1; //备注1
    private String remark2; //备注2
    private String remark3; //备注3
    private String createUser;
    private Date createTime;
    private String updateUser;
    private Date updateTime;
    private String remark;
    private String manufactoryCode;
    private String supCode;

}
