package com.glxp.mipsdl.res.udiwms;

import lombok.Data;

@Data
public class UdiwmsInvProductResponse {

    /**
     * 库存产品编码
     */
    private String code;
    private String name;
    private String spec;
    private String batchNo;//批次号
    private String manufacturingDate;
    private String expirationDate;
    private String warehouseCode;//货位号
    private String warehouseName;//货位名称
    private String registerCertNo;
    private Integer count;//数量
    private String inventoryCode;//仓库号
    private String inventoryName;//仓库名称
    private String productName;//产品名称
    private String productDate;//生产日期
    private String expireDate;//失效日期
    private String productId;//产品ID
    private String standard; //规格型号
    private String registerNo; //注册证号
    private String manufactory; //生产厂家
    private String supId; //配送企业ID
    private String supName; //配送企业名称


}
