package com.glxp.mipsdl.util;

import java.util.List;
import java.util.Map;

/**
 * 字典工具类
 */
public class DictUtl {

    /**
     * 医院编码
     */
    public static List<String> HOSP_CODE;

    /**
     * 医院名称
     */
    public static List<String> HOSP_NAME;

    /**
     * 医院编码字典
     */
    public static Map<String, String> HOSP_DICT;

    /**
     * 当前医院编码
     */
    public static String CURRENT_HOSP_CODE;


    /**
     * 获取医院名称
     *
     * @param code
     * @return
     */
    public String getHospName(String code) {
        return HOSP_DICT.get(code);
    }

}
