package com.glxp.mipsdl.vo.file.ptxhyy;

import com.glxp.mipsdl.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 平潭协和医院HIS系统耗材字典excel解析实体类
 */
@Data
public class PtxhyyHisProductEntity {

    @Excel(name = "LASTUPDATETIME")
    private Date updateTime;

    @Excel(name="CODE")
    private String code;

    @Excel(name = "NAME")
    private String name;

    @Excel(name = "MEASNAME")
    private String measname;

    @Excel(name = "STANDARD")
    private String standard;

    @Excel(name = "REGISTERNO")
    private String registerNo;

    @Excel(name = "MANUFACTORYCODE")
    private String manufactoryCode;

    @Excel(name = "MANUFACTORY")
    private String manufactory;

    @Excel(name = "SUPCODE")
    private String supCode;

    @Excel(name = "SUPNAME")
    private String supName;

    @Excel(name = "CPLB")
    private String cplb;

    @Excel(name = "FLBM")
    private String flbm;

    //器械类别
    @Excel(name = "QXLB")
    private String qxlb;

    //医保编码
    @Excel(name = "YBBM")
    private String ybbm;

    //商品条码
    @Excel(name = "SPTM")
    private String sptm;

    //注册人社会信用号
    @Excel(name = "TYSHXYDM")
    private String tyshxydm;

    //注册/备案人
    @Excel(name = "YLQXZCRBARMC")
    private String ylqxzcrbarmc;

    //注册/备案人英文
    @Excel(name = "YLQXZCRBARYWMC")
    private String ylqxzcrbarywmc;

    //商品名称
    @Excel(name = "SPMC")
    private String spmc;

    //其他编码
    @Excel(name = "QTBM")
    private String qtbm;

    @Excel(name = "CPMS")
    private String cpms;

    //注册证有效期至
    @Excel(name = "ZCZYXQZ")
    private String zczyxqz;

    @Excel(name = "PRICE")
    private String price;

    @Excel(name = "REMARK")
    private String remark;

    @Excel(name = "REMARK1")
    private String remark1;

    @Excel(name = "REMARK2")
    private String remark2;

    @Excel(name = "REMARK3")
    private String remark3;

}
